> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List integration providers

> List providers available to the current organization.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/integrations/providers
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/integrations/providers:
    get:
      tags:
        - Integrations
      summary: List integration providers
      description: List providers available to the current organization.
      operationId: listIntegrationProviders
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            pattern: ^\d+$
            maxLength: 10
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
        - in: query
          name: returnUrl
          schema:
            type: string
            format: uri
            maxLength: 8192
      responses:
        '200':
          description: List integration providers
          content:
            application/json:
              schema:
                type: object
                properties:
                  installedCounts:
                    type: object
                    properties:
                      github:
                        type: integer
                        minimum: 0
                      gitlab:
                        type: integer
                        minimum: 0
                      bitbucket:
                        type: integer
                        minimum: 0
                      atlassian:
                        type: integer
                        minimum: 0
                      linear:
                        type: integer
                        minimum: 0
                      slack:
                        type: integer
                        minimum: 0
                      sentry:
                        type: integer
                        minimum: 0
                      aws:
                        type: integer
                        minimum: 0
                      agent:
                        type: integer
                        minimum: 0
                      notion:
                        type: integer
                        minimum: 0
                      postgres:
                        type: integer
                        minimum: 0
                      bigquery:
                        type: integer
                        minimum: 0
                      azure:
                        type: integer
                        minimum: 0
                      ms-teams:
                        type: integer
                        minimum: 0
                      snyk:
                        type: integer
                        minimum: 0
                      hubspot:
                        type: integer
                        minimum: 0
                      openconnect:
                        type: integer
                        minimum: 0
                      tailscale:
                        type: integer
                        minimum: 0
                    additionalProperties: false
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        authorizeUrl:
                          type: string
                          maxLength: 8192
                        category:
                          type: string
                          maxLength: 200
                        comingSoon:
                          type: boolean
                        description:
                          type: string
                          maxLength: 4096
                        displayName:
                          type: string
                          maxLength: 500
                        installed:
                          type: boolean
                        integrationType:
                          type: string
                          enum:
                            - github
                            - gitlab
                            - bitbucket
                            - atlassian
                            - linear
                            - slack
                            - sentry
                            - aws
                            - agent
                            - notion
                            - postgres
                            - bigquery
                            - azure
                            - ms-teams
                            - snyk
                            - hubspot
                            - openconnect
                            - tailscale
                        isOAuth:
                          type: boolean
                        name:
                          type: string
                          maxLength: 500
                        oidcIssuerHost:
                          type: string
                          maxLength: 2048
                        redirectUrl:
                          type: string
                          maxLength: 8192
                        templateUrl:
                          type: string
                          maxLength: 8192
                      required:
                        - authorizeUrl
                        - category
                        - comingSoon
                        - description
                        - displayName
                        - installed
                        - integrationType
                        - isOAuth
                        - name
                      additionalProperties: false
                    maxItems: 100
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    pattern: ^\d+$
                    maxLength: 10
                required:
                  - installedCounts
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Invalid request or missing organization information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Provider authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller cannot perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Integration not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Integration conflict or unsupported operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Integration operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Integration provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '504':
          description: Integration provider operation timed out
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.